=== arch/arm/dts/Makefile ===
# SPDX-License-Identifier: GPL-2.0+

dtb-$(CONFIG_AT91FAMILY) += at91sam9260-smartweb.dtb \
	at91sam9g20-taurus.dtb \
	at91sam9g45-corvus.dtb \
	at91sam9g45-gurnard.dtb

dtb-$(CONFIG_S5PC100) += s5pc1xx-smdkc100.dtb
dtb-$(CONFIG_S5PC110) += s5pc1xx-goni.dtb
dtb-$(CONFIG_EXYNOS4) += exynos4210-origen.dtb \
	exynos4210-smdkv310.dtb \
	exynos4210-universal_c210.dtb \
	exynos4210-trats.dtb \
	exynos4412-trats2.dtb \
	exynos4412-odroid.dtb

dtb-$(CONFIG_TARGET_HIKEY) += hi6220-hikey.dtb

dtb-$(CONFIG_EXYNOS5) += exynos5250-arndale.dtb \
	exynos5250-snow.dtb \
	exynos5250-spring.dtb \
	exynos5250-smdk5250.dtb \
	exynos5420-smdk5420.dtb \
	exynos5420-peach-pit.dtb \
	exynos5800-peach-pi.dtb \
	exynos5422-odroidxu3.dtb
dtb-$(CONFIG_EXYNOS7420) += exynos7420-espresso7420.dtb
dtb-$(CONFIG_ARCH_ROCKCHIP) += \
	rk3036-sdk.dtb \
	rk3128-evb.dtb \
	rk3188-radxarock.dtb \
	rk3288-evb.dtb \
	rk3288-fennec.dtb \
	rk3288-firefly.dtb \
	rk3288-miqi.dtb \
	rk3288-phycore-rdk.dtb \
	rk3288-popmetal.dtb \
	rk3288-rock2-square.dtb \
	rk3288-tinker.dtb \
	rk3288-veyron-jerry.dtb \
	rk3288-veyron-mickey.dtb \
	rk3288-veyron-minnie.dtb \
	rk3288-vyasa.dtb \
	rk3328-evb.dtb \
	rk3368-lion.dtb \
	rk3368-sheep.dtb \
	rk3368-geekbox.dtb \
	rk3368-px5-evb.dtb \
	rk3399-evb.dtb \
	rk3399-firefly.dtb \
	rk3399-puma-ddr1333.dtb \
	rk3399-puma-ddr1600.dtb \
	rk3399-puma-ddr1866.dtb \
	rv1108-evb.dtb
dtb-$(CONFIG_ARCH_MESON) += \
	meson-gxbb-odroidc2.dtb \
	meson-gxl-s905x-p212.dtb \
	meson-gxl-s905x-libretech-cc.dtb \
	meson-gxl-s905x-khadas-vim.dtb
dtb-$(CONFIG_TEGRA) += tegra20-harmony.dtb \
	tegra20-medcom-wide.dtb \
	tegra20-paz00.dtb \
	tegra20-plutux.dtb \
	tegra20-seaboard.dtb \
	tegra20-tec.dtb \
	tegra20-trimslice.dtb \
	tegra20-ventana.dtb \
	tegra20-colibri.dtb \
	tegra30-apalis.dtb \
	tegra30-beaver.dtb \
	tegra30-cardhu.dtb \
	tegra30-colibri.dtb \
	tegra30-tec-ng.dtb \
	tegra114-dalmore.dtb \
	tegra124-apalis.dtb \
	tegra124-jetson-tk1.dtb \
	tegra124-nyan-big.dtb \
	tegra124-cei-tk1-som.dtb \
	tegra124-venice2.dtb \
	tegra186-p2771-0000-000.dtb \
	tegra186-p2771-0000-500.dtb \
	tegra210-e2220-1170.dtb \
	tegra210-p2371-0000.dtb \
	tegra210-p2371-2180.dtb \
	tegra210-p2571.dtb

dtb-$(CONFIG_ARCH_MVEBU) +=			\
	armada-3720-db.dtb			\
	armada-3720-espressobin.dtb		\
	armada-3720-turris-mox.dtb		\
	armada-375-db.dtb			\
	armada-388-clearfog.dtb			\
	armada-388-gp.dtb			\
	armada-388-helios4.dtb			\
	armada-385-amc.dtb			\
	armada-7040-db.dtb			\
	armada-7040-db-nand.dtb			\
	armada-8040-db.dtb			\
	armada-8040-mcbin.dtb			\
	armada-xp-gp.dtb			\
	armada-xp-maxbcm.dtb			\
	armada-xp-synology-ds414.dtb		\
	armada-xp-theadorable.dtb		\
	armada-38x-controlcenterdc.dtb

dtb-$(CONFIG_ARCH_UNIPHIER_LD11) += \
	uniphier-ld11-global.dtb \
	uniphier-ld11-ref.dtb
dtb-$(CONFIG_ARCH_UNIPHIER_LD20) += \
	uniphier-ld20-global.dtb \
	uniphier-ld20-ref.dtb
dtb-$(CONFIG_ARCH_UNIPHIER_LD4) += \
	uniphier-ld4-ref.dtb
dtb-$(CONFIG_ARCH_UNIPHIER_LD6B) += \
	uniphier-ld6b-ref.dtb
dtb-$(CONFIG_ARCH_UNIPHIER_PRO4) += \
	uniphier-pro4-ace.dtb \
	uniphier-pro4-ref.dtb \
	uniphier-pro4-sanji.dtb
dtb-$(CONFIG_ARCH_UNIPHIER_PRO5) += \
	uniphier-pro5-4kbox.dtb
dtb-$(CONFIG_ARCH_UNIPHIER_PXS2) += \
	uniphier-pxs2-gentil.dtb \
	uniphier-pxs2-vodka.dtb
dtb-$(CONFIG_ARCH_UNIPHIER_PXS3) += \
	uniphier-pxs3-ref.dtb
dtb-$(CONFIG_ARCH_UNIPHIER_SLD8) += \
	uniphier-sld8-ref.dtb

dtb-$(CONFIG_ARCH_ZYNQ) += \
	zynq-cc108.dtb \
	zynq-cse-qspi-single.dtb \
	zynq-microzed.dtb \
	zynq-minized.dtb \
	zynq-picozed.dtb \
	zynq-syzygy-hub.dtb \
	zynq-topic-miami.dtb \
	zynq-topic-miamilite.dtb \
	zynq-topic-miamiplus.dtb \
	zynq-zc702.dtb \
	zynq-zc706.dtb \
	zynq-zc770-xm010.dtb \
	zynq-zc770-xm011.dtb \
	zynq-zc770-xm012.dtb \
	zynq-zc770-xm013.dtb \
	zynq-zed.dtb \
	zynq-zturn.dtb \
	zynq-zybo.dtb
dtb-$(CONFIG_ARCH_ZYNQMP) += \
	zynqmp-mini-emmc0.dtb			\
	zynqmp-mini-emmc1.dtb			\
	zynqmp-mini-nand.dtb			\
	zynqmp-zcu100-revC.dtb			\
	zynqmp-zcu102-revA.dtb			\
	zynqmp-zcu102-revB.dtb			\
	zynqmp-zcu102-rev1.0.dtb		\
	zynqmp-zcu104-revA.dtb			\
	zynqmp-zcu104-revC.dtb			\
	zynqmp-zcu106-revA.dtb			\
	zynqmp-zcu111-revA.dtb			\
	zynqmp-zc1232-revA.dtb			\
	zynqmp-zc1254-revA.dtb			\
	zynqmp-zc1275-revA.dtb			\
	zynqmp-zc1275-revB.dtb			\
	zynqmp-zc1751-xm015-dc1.dtb		\
	zynqmp-zc1751-xm016-dc2.dtb		\
	zynqmp-zc1751-xm017-dc3.dtb		\
	zynqmp-zc1751-xm018-dc4.dtb		\
	zynqmp-zc1751-xm019-dc5.dtb
dtb-$(CONFIG_ARCH_ZYNQMP_R5) += \
	zynqmp-r5.dtb
dtb-$(CONFIG_AM33XX) += am335x-boneblack.dtb am335x-bone.dtb \
	am335x-draco.dtb \
	am335x-evm.dtb \
	am335x-evmsk.dtb \
	am335x-bonegreen.dtb \
	am335x-icev2.dtb \
	am335x-pxm50.dtb \
	am335x-rut.dtb \
	am335x-pdu001.dtb
dtb-$(CONFIG_AM43XX) += am437x-gp-evm.dtb am437x-sk-evm.dtb	\
	am43x-epos-evm.dtb \
	am437x-idk-evm.dtb \
	am4372-generic.dtb
dtb-$(CONFIG_TI816X) += dm8168-evm.dtb
dtb-$(CONFIG_THUNDERX) += thunderx-88xx.dtb

dtb-$(CONFIG_ARCH_SOCFPGA) +=				\
	socfpga_arria5_socdk.dtb			\
	socfpga_arria10_socdk_sdmmc.dtb			\
	socfpga_cyclone5_is1.dtb			\
	socfpga_cyclone5_socdk.dtb			\
	socfpga_cyclone5_dbm_soc1.dtb			\
	socfpga_cyclone5_de0_nano_soc.dtb		\
	socfpga_cyclone5_de1_soc.dtb			\
	socfpga_cyclone5_de10_nano.dtb			\
	socfpga_cyclone5_sockit.dtb			\
	socfpga_cyclone5_socrates.dtb			\
	socfpga_cyclone5_sr1500.dtb			\
	socfpga_cyclone5_vining_fpga.dtb		\
	socfpga_stratix10_socdk.dtb

dtb-$(CONFIG_TARGET_DRA7XX_EVM) += dra72-evm.dtb dra7-evm.dtb	\
	dra72-evm-revc.dtb dra71-evm.dtb dra76-evm.dtb
dtb-$(CONFIG_TARGET_AM57XX_EVM) += am57xx-beagle-x15.dtb \
	am57xx-beagle-x15-revb1.dtb \
	am57xx-beagle-x15-revc.dtb \
	am574x-idk.dtb \
	am572x-idk.dtb	\
	am571x-idk.dtb
dtb-$(CONFIG_TARGET_STV0991) += stv0991.dtb

dtb-$(CONFIG_ARCH_LS1021A) += ls1021a-qds-duart.dtb \
	ls1021a-qds-lpuart.dtb \
	ls1021a-twr-duart.dtb ls1021a-twr-lpuart.dtb \
	ls1021a-iot-duart.dtb
dtb-$(CONFIG_FSL_LSCH3) += fsl-ls2080a-qds.dtb \
	fsl-ls2080a-rdb.dtb \
	fsl-ls2081a-rdb.dtb \
	fsl-ls2088a-rdb-qspi.dtb \
	fsl-ls1088a-rdb.dtb \
	fsl-ls1088a-qds.dtb
dtb-$(CONFIG_FSL_LSCH2) += fsl-ls1043a-qds-duart.dtb \
	fsl-ls1043a-qds-lpuart.dtb \
	fsl-ls1043a-rdb.dtb \
	fsl-ls1046a-qds-duart.dtb \
	fsl-ls1046a-qds-lpuart.dtb \
	fsl-ls1046a-rdb.dtb \
	fsl-ls1012a-qds.dtb \
	fsl-ls1012a-rdb.dtb \
	fsl-ls1012a-2g5rdb.dtb \
	fsl-ls1012a-frdm.dtb \
	fsl-ls1012a-frwy.dtb

dtb-$(CONFIG_TARGET_DRAGONBOARD410C) += dragonboard410c.dtb
dtb-$(CONFIG_TARGET_DRAGONBOARD820C) += dragonboard820c.dtb

dtb-$(CONFIG_STM32F4) += stm32f429-disco.dtb \
	stm32429i-eval.dtb \
	stm32f469-disco.dtb

dtb-$(CONFIG_STM32F7) += stm32f746-disco.dtb \
	stm32f769-disco.dtb \
	stm32746g-eval.dtb
dtb-$(CONFIG_STM32H7) += stm32h743i-disco.dtb \
	stm32h743i-eval.dtb

dtb-$(CONFIG_MACH_SUN4I) += \
	sun4i-a10-a1000.dtb \
	sun4i-a10-ba10-tvbox.dtb \
	sun4i-a10-chuwi-v7-cw0825.dtb \
	sun4i-a10-cubieboard.dtb \
	sun4i-a10-dserve-dsrv9703c.dtb \
	sun4i-a10-gemei-g9.dtb \
	sun4i-a10-hackberry.dtb \
	sun4i-a10-hyundai-a7hd.dtb \
	sun4i-a10-inet1.dtb \
	sun4i-a10-inet-3f.dtb \
	sun4i-a10-inet-3w.dtb \
	sun4i-a10-inet97fv2.dtb \
	sun4i-a10-inet9f-rev03.dtb \
	sun4i-a10-itead-iteaduino-plus.dtb \
	sun4i-a10-jesurun-q5.dtb \
	sun4i-a10-marsboard.dtb \
	sun4i-a10-mini-xplus.dtb \
	sun4i-a10-mk802.dtb \
	sun4i-a10-mk802ii.dtb \
	sun4i-a10-olinuxino-lime.dtb \
	sun4i-a10-pcduino.dtb \
	sun4i-a10-pcduino2.dtb \
	sun4i-a10-pov-protab2-ips9.dtb
dtb-$(CONFIG_MACH_SUN5I) += \
	sun5i-a10s-auxtek-t003.dtb \
	sun5i-a10s-auxtek-t004.dtb \
	sun5i-a10s-mk802.dtb \
	sun5i-a10s-olinuxino-micro.dtb \
	sun5i-a10s-r7-tv-dongle.dtb \
	sun5i-a10s-wobo-i5.dtb \
	sun5i-a13-ampe-a76.dtb \
	sun5i-a13-difrnce-dit4350.dtb \
	sun5i-a13-empire-electronix-d709.dtb \
	sun5i-a13-empire-electronix-m712.dtb \
	sun5i-a13-hsg-h702.dtb \
	sun5i-a13-inet-86vs.dtb \
	sun5i-a13-inet-98v-rev2.dtb \
	sun5i-a13-olinuxino.dtb \
	sun5i-a13-olinuxino-micro.dtb \
	sun5i-a13-q8-tablet.dtb \
	sun5i-a13-utoo-p66.dtb \
	sun5i-gr8-chip-pro.dtb \
	sun5i-r8-chip.dtb
dtb-$(CONFIG_MACH_SUN6I) += \
	sun6i-a31-app4-evb1.dtb \
	sun6i-a31-colombus.dtb \
	sun6i-a31-hummingbird.dtb \
	sun6i-a31-i7.dtb \
	sun6i-a31-m9.dtb \
	sun6i-a31-mele-a1000g-quad.dtb \
	sun6i-a31-mixtile-loftq.dtb \
	sun6i-a31s-colorfly-e708-q1.dtb \
	sun6i-a31s-cs908.dtb \
	sun6i-a31s-inet-q972.dtb \
	sun6i-a31s-primo81.dtb \
	sun6i-a31s-sina31s.dtb \
	sun6i-a31s-sinovoip-bpi-m2.dtb \
	sun6i-a31s-yones-toptech-bs1078-v2.dtb
dtb-$(CONFIG_MACH_SUN7I) += \
	sun7i-a20-ainol-aw1.dtb \
	sun7i-a20-bananapi.dtb \
	sun7i-a20-bananapi-m1-plus.dtb \
	sun7i-a20-bananapro.dtb \
	sun7i-a20-cubieboard2.dtb \
	sun7i-a20-cubietruck.dtb \
	sun7i-a20-hummingbird.dtb \
	sun7i-a20-i12-tvbox.dtb \
	sun7i-a20-icnova-swac.dtb \
	sun7i-a20-itead-ibox.dtb \
	sun7i-a20-lamobo-r1.dtb \
	sun7i-a20-m3.dtb \
	sun7i-a20-m5.dtb \
	sun7i-a20-mk808c.dtb \
	sun7i-a20-olimex-som-evb.dtb \
	sun7i-a20-olimex-som204-evb.dtb \
	sun7i-a20-olimex-som204-evb-emmc.dtb \
	sun7i-a20-olinuxino-lime.dtb \
	sun7i-a20-olinuxino-lime2.dtb \
	sun7i-a20-olinuxino-lime2-emmc.dtb \
	sun7i-a20-olinuxino-micro.dtb \
	sun7i-a20-orangepi.dtb \
	sun7i-a20-orangepi-mini.dtb \
	sun7i-a20-pcduino3.dtb \
	sun7i-a20-pcduino3-nano.dtb \
	sun7i-a20-primo73.dtb \
	sun7i-a20-wexler-tab7200.dtb \
	sun7i-a20-wits-pro-a20-dkt.dtb \
	sun7i-a20-yones-toptech-bd1078.dtb
dtb-$(CONFIG_MACH_SUN8I_A23) += \
	sun8i-a23-evb.dtb \
	sun8i-a23-gt90h-v4.dtb \
	sun8i-a23-inet86dz.dtb \
	sun8i-a23-polaroid-mid2407pxe03.dtb \
	sun8i-a23-polaroid-mid2809pxe04.dtb \
	sun8i-a23-q8-tablet.dtb
dtb-$(CONFIG_MACH_SUN8I_A33) += \
	sun8i-a33-ga10h-v1.1.dtb \
	sun8i-a33-inet-d978-rev2.dtb \
	sun8i-a33-olinuxino.dtb \
	sun8i-a33-q8-tablet.dtb \
	sun8i-a33-sinlinx-sina33.dtb \
	sun8i-r16-bananapi-m2m.dtb \
	sun8i-r16-nintendo-nes-classic-edition.dtb \
	sun8i-r16-parrot.dtb
dtb-$(CONFIG_MACH_SUN8I_A83T) += \
	sun8i-a83t-allwinner-h8homlet-v2.dtb \
	sun8i-a83t-bananapi-m3.dtb \
	sun8i-a83t-cubietruck-plus.dtb \
	sun8i-a83t-tbs-a711.dts
dtb-$(CONFIG_MACH_SUN8I_H3) += \
	sun8i-h2-plus-libretech-all-h3-cc.dtb \
	sun8i-h2-plus-orangepi-zero.dtb \
	sun8i-h3-bananapi-m2-plus.dtb \
	sun8i-h3-libretech-all-h3-cc.dtb \
	sun8i-h3-nanopi-m1.dtb \
	sun8i-h3-nanopi-m1-plus.dtb \
	sun8i-h3-nanopi-neo.dtb \
	sun8i-h3-nanopi-neo-air.dtb \
	sun8i-h3-orangepi-2.dtb \
	sun8i-h3-orangepi-lite.dtb \
	sun8i-h3-orangepi-one.dtb \
	sun8i-h3-orangepi-pc.dtb \
	sun8i-h3-orangepi-pc-plus.dtb \
	sun8i-h3-orangepi-plus.dtb \
	sun8i-h3-orangepi-plus2e.dtb
dtb-$(CONFIG_MACH_SUN8I_R40) += \
	sun8i-r40-bananapi-m2-ultra.dtb \
	sun8i-v40-bananapi-m2-berry.dtb
dtb-$(CONFIG_MACH_SUN8I_V3S) += \
	sun8i-v3s-licheepi-zero.dtb
dtb-$(CONFIG_MACH_SUN50I_H5) += \
	sun50i-h5-libretech-all-h3-cc.dtb \
	sun50i-h5-nanopi-neo2.dtb \
	sun50i-h5-nanopi-neo-plus2.dtb \
	sun50i-h5-orangepi-pc2.dtb \
	sun50i-h5-orangepi-prime.dtb \
	sun50i-h5-orangepi-zero-plus2.dtb
dtb-$(CONFIG_MACH_SUN50I) += \
	sun50i-a64-amarula-relic.dtb \
	sun50i-a64-bananapi-m64.dtb \
	sun50i-a64-nanopi-a64.dtb \
	sun50i-a64-olinuxino.dtb \
	sun50i-a64-orangepi-win.dtb \
	sun50i-a64-pine64-plus.dtb \
	sun50i-a64-pine64.dtb
dtb-$(CONFIG_MACH_SUN9I) += \
	sun9i-a80-optimus.dtb \
	sun9i-a80-cubieboard4.dtb \
	sun9i-a80-cx-a99.dtb

dtb-$(CONFIG_VF610) += vf500-colibri.dtb \
	vf610-colibri.dtb \
	vf610-twr.dtb \
	pcm052.dtb \
	bk4r1.dtb

dtb-$(CONFIG_MX53) += imx53-cx9020.dtb

dtb-$(CONFIG_MX6QDL) += \
	imx6dl-icore.dtb \
	imx6dl-icore-mipi.dtb \
	imx6dl-icore-rqs.dtb \
	imx6dl-mamoj.dtb \
	imx6q-cm-fx6.dtb \
	imx6q-icore.dtb \
	imx6q-icore-mipi.dtb \
	imx6q-icore-rqs.dtb \
	imx6q-logicpd.dtb

dtb-$(CONFIG_MX6SL) += imx6sl-evk.dtb

dtb-$(CONFIG_MX6SL) += imx6sll-evk.dtb

dtb-$(CONFIG_MX6SX) += \
	imx6sx-sabreauto.dtb \
	imx6sx-sdb.dtb

dtb-$(CONFIG_MX6UL) += \
	imx6ul-geam.dtb \
	imx6ul-isiot-emmc.dtb \
	imx6ul-isiot-nand.dtb \
	imx6ul-opos6uldev.dtb

dtb-$(CONFIG_MX6ULL) += imx6ull-14x14-evk.dtb

dtb-$(CONFIG_MX7) += imx7-colibri.dtb \
	imx7d-sdb.dtb

dtb-$(CONFIG_ARCH_MX7ULP) += imx7ulp-evk.dtb

dtb-$(CONFIG_RCAR_GEN3) += \
	r8a7795-h3ulcb.dtb \
