=== debian/changelog ===
u-boot (2018.07~rc3+dfsg1-0ubuntu2) disco; urgency=medium

  * d/control: Add missing dependency on binutils (for strings) (LP: #1814930)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 06 Feb 2019 16:40:22 +0000

u-boot (2018.07~rc3+dfsg1-0ubuntu1) disco; urgency=medium

  * New interim upstream release.
    - We pull in an rc version because that's the u-boot version we use in
      our current core18 images and we want to provide 'feature parity'.
  * debian/control:
    - Added missing build-deps bison and flex.
  * debian/patches:
    - Refresh am57xx/omap5_distro_bootcmd.
    - Refreshed patches.
    - Removed odroid-xu3/bootdelay which was applied upstream.
    - Add lzo-to-lzno.patch to use gzip instead of lzo compression for FIT
      images as lzop in Ubuntu is in universe. This should be temporary and
      in the next releases ideally we should follow what Debian does.

 -- Dave Jones <dave.jones@canonical.com>  Fri, 11 Jan 2019 16:43:27 +0000

u-boot (2018.03+dfsg1-2ubuntu2) disco; urgency=medium

  * debian/u-boot-rpi.postinst:
    - Support the fact that we now ship multiple uboot binaries for multiple
      Pi platforms in one package. Try to determine which device we're running
      on and use the right binary during upgrade/installation.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 29 Nov 2018 01:16:07 +0100
