## u-boot 2019.01%2Bdfsg

=== board/wandboard/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# (C) Copyright 2013 Freescale Semiconductor, Inc.

obj-y  := wandboard.o spl.o
