=== drivers/tee/Makefile ===
# SPDX-License-Identifier: GPL-2.0+

obj-y += tee-uclass.o
obj-$(CONFIG_SANDBOX) += sandbox.o
obj-$(CONFIG_OPTEE) += optee/
