=== board/el/el6x/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# Copyright (C) Stefano Babic <sbabic@denx.de>

obj-y  := el6x.o
