=== board/engicam/common/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
# Copyright (C) 2016 Amarula Solutions B.V.

obj-y := board.o
obj-$(CONFIG_SPL_BUILD) += spl.o
