=== drivers/pinctrl/ath79/Makefile ===
# SPDX-License-Identifier: GPL-2.0+

obj-$(CONFIG_PINCTRL_AR933X) += pinctrl_ar933x.o
obj-$(CONFIG_PINCTRL_QCA953x) += pinctrl_qca953x.o
